DS_SELECT_ARRAYS(3)

FUNCTION
ds_select_arrays - Select data structures in a multi_array descriptor.

SYNOPSIS
#include <karma_ds.h>

multi_array * ds_select_arrays

(char **array_list, unsigned int num_in_list, CONST multi_array *multi_desc, flag save_unproc, unsigned int **index_list)

DESCRIPTION
This routine will create a multi array descriptor which contains a selected number of array names.

array_list
    The array of array names that are to be copied.

num_in_list
    The number of array names in <<array_list>>. If this is 0, all array names are copied.

multi_desc
    The input data structure.

save_unproc
    If TRUE, all array names are copied.

index_list
    An array of unsigned ints will be allocated by the routine and the pointer written here. The length of this array is equal to the number of arrays in the input multi_array descriptor. This array contains the index of the array name in the input multi array descriptor for each array name in the output multi_array descriptor. If there is no name match for an array, the index value is equal to the number of arrays in the input multi_array descriptor.

RETURN VALUE
A pointer to the created multi array descriptor on success, else NULL.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/